CVE-2005-3543
CVSS6.8
发布时间 :2005-11-16 02:42:00
修订时间 :2016-10-17 23:36:12
NMCO    

[原文]SQL injection vulnerability in search.php in Phorum 5.0.0alpha through 5.0.20, when register_globals is enabled, allows remote attackers to execute arbitrary SQL commands via the forum_ids parameter.


[CNNVD]Phorum search.phpSQL注入漏洞(CNNVD-200511-216)

        Phorum是一个基于PHP+MySQL开发的开源论坛项目。
        Phorum 5.0.0alpha至5.0.20的search.php中的SQL注入漏洞,在启用register_globals时,可让远程攻击者通过forum_ids参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:phorum:phorum:5.0.4_beta
cpe:/a:phorum:phorum:5.0.7a_beta
cpe:/a:phorum:phorum:5.0.14a
cpe:/a:phorum:phorum:5.0.4a_beta
cpe:/a:phorum:phorum:5.0.9Phorum 5.0.9
cpe:/a:phorum:phorum:5.0.0_alpha
cpe:/a:phorum:phorum:5.0.10Phorum 5.0.10
cpe:/a:phorum:phorum:5.0.11Phorum 5.0.11
cpe:/a:phorum:phorum:5.0.12Phorum 5.0.12
cpe:/a:phorum:phorum:5.0.13Phorum 5.0.13
cpe:/a:phorum:phorum:5.0.14Phorum 5.0.14
cpe:/a:phorum:phorum:5.0.15Phorum 5.0.15
cpe:/a:phorum:phorum:5.0.13a
cpe:/a:phorum:phorum:5.0.16Phorum 5.0.16
cpe:/a:phorum:phorum:5.0.17Phorum 5.0.17
cpe:/a:phorum:phorum:5.0.2_alpha
cpe:/a:phorum:phorum:5.0.18Phorum 5.0.18
cpe:/a:phorum:phorum:5.0.19Phorum 5.0.19
cpe:/a:phorum:phorum:5.0.7_beta
cpe:/a:phorum:phorum:5.0.5_beta
cpe:/a:phorum:phorum:5.0.8_rc
cpe:/a:phorum:phorum:5.0.20Phorum 5.0.20
cpe:/a:phorum:phorum:5.0.6_beta
cpe:/a:phorum:phorum:5.0.1_alpha
cpe:/a:phorum:phorum:5.0.3_beta

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3543
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3543
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-216
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=113122911424216&w=2
(UNKNOWN)  BUGTRAQ  20051104 [waraxe-2005-SA#043] - Sql injection in Phorum 5.0.20 and earlier
http://phorum.org/story.php?57
(UNKNOWN)  CONFIRM  http://phorum.org/story.php?57
http://securityreason.com/securityalert/153
(UNKNOWN)  SREASON  153
http://www.vupen.com/english/advisories/2005/2332
(UNKNOWN)  VUPEN  ADV-2005-2332
http://www.waraxe.us/advisory-43.html
(VENDOR_ADVISORY)  MISC  http://www.waraxe.us/advisory-43.html

- 漏洞信息

Phorum search.phpSQL注入漏洞
中危 SQL注入
2005-11-16 00:00:00 2006-06-12 00:00:00
远程  
        Phorum是一个基于PHP+MySQL开发的开源论坛项目。
        Phorum 5.0.0alpha至5.0.20的search.php中的SQL注入漏洞,在启用register_globals时,可让远程攻击者通过forum_ids参数执行任意SQL命令。

- 公告与补丁

        

- 漏洞信息

20524
Phorum search.php forum_ids Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Phorum contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'search.php' script not properly sanitizing user-supplied input to the 'forum_ids' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-11-04 2005-11-01
2005-11-04 Unknow

- 解决方案

Upgrade to version 5.0.21 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站